# ImaginaryDialect Class Reference
[Connectors and dialects for various databases, Classes implemented in PHP's extension.]

Inexistent imaginary helper for OSQL's Query self-identification. More...

Inheritance diagram for ImaginaryDialect:
[legend]

List of all members.

## Public Member Functions

| preAutoincrement (DBColumn $column)
| postAutoincrement (DBColumn $column)
| hasTruncate ()
| hasMultipleTruncate ()
| hasReturning ()
| fieldToString ($field)
| valueToString ($value)
| fullTextSearch ($field, $words, $logic)
| fullTextRank ($field, $words, $logic)

## Static Public Member Functions

static | me ()
static | quoteValue ($value)
static | quoteField ($field)
| must be implemented too:
static | quoteTable ($table)

## Detailed Description

Inexistent imaginary helper for OSQL's Query self-identification.

Definition at line 18 of file ImaginaryDialect.class.php.

## Member Function Documentation

ImaginaryDialect::fieldToString | ( | $ | field | ) |

Reimplemented from Dialect.

Definition at line 68 of file ImaginaryDialect.class.php.

ImaginaryDialect::fullTextRank | ( | $ | field,
|  | $ | words,
|  | $ | logic |
| ) |  |  |

Reimplemented from Dialect.

Definition at line 94 of file ImaginaryDialect.class.php.

ImaginaryDialect::fullTextSearch | ( | $ | field,
|  | $ | words,
|  | $ | logic |
| ) |  |  |

Reimplemented from Dialect.

Definition at line 84 of file ImaginaryDialect.class.php.

ImaginaryDialect::hasMultipleTruncate | ( |  | ) |

Reimplemented from Dialect.

Definition at line 58 of file ImaginaryDialect.class.php.

ImaginaryDialect::hasReturning | ( |  | ) |

Reimplemented from Dialect.

Definition at line 63 of file ImaginaryDialect.class.php.

ImaginaryDialect::hasTruncate | ( |  | ) |

Reimplemented from Dialect.

Definition at line 53 of file ImaginaryDialect.class.php.

static ImaginaryDialect::me | ( |  | ) | `[static]`

Returns:
  ImaginaryDialect

Implements Instantiatable.

Definition at line 23 of file ImaginaryDialect.class.php.

References Singleton::getInstance().

Referenced by Criteria::toString(), QueryIdentification::toString(), TransactionQueue::toString(), and Queue::toString().

Here is the call graph for this function:

ImaginaryDialect::postAutoincrement | ( | DBColumn $ | column | ) |

Reimplemented from Dialect.

Definition at line 33 of file ImaginaryDialect.class.php.

ImaginaryDialect::preAutoincrement | ( | DBColumn $ | column | ) |

Reimplemented from Dialect.

Definition at line 28 of file ImaginaryDialect.class.php.

static ImaginaryDialect::quoteField | ( | $ | field | ) | `[static]`

must be implemented too:

public static function quoteValue($value);

Reimplemented from Dialect.

Definition at line 43 of file ImaginaryDialect.class.php.

static ImaginaryDialect::quoteTable | ( | $ | table | ) | `[static]`

Reimplemented from Dialect.

Definition at line 48 of file ImaginaryDialect.class.php.

static ImaginaryDialect::quoteValue | ( | $ | value | ) | `[static]`

Definition at line 38 of file ImaginaryDialect.class.php.

ImaginaryDialect::valueToString | ( | $ | value | ) |

Reimplemented from Dialect.

Definition at line 76 of file ImaginaryDialect.class.php.

The documentation for this class was generated from the following file:

- core/DB/ImaginaryDialect.class.php